# Uses of Class
javajs.util.M3

Packages that use M3
Package
Description
javajs.util
org.jmol.adapter.smarter
org.jmol.api
org.jmol.export
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.
org.jmol.geodesic
org.jmol.jvxl.readers
org.jmol.modelset
org.jmol.script
org.jmol.shapespecial
org.jmol.symmetry
org.jmol.util
org.jmol.viewer

## Uses of M3 in javajs.util

Methods in javajs.util that return M3
Modifier and Type
Method
Description
`M3`
Quat.`getMatrix()`
`static M3`
M3.`newA9(float[] v)`
Constructs and initializes a Matrix3f from the specified 9 element array.
`static M3`
M3.`newM3(M3 m1)`
Constructs a new matrix with the same values as the Matrix3f parameter.
`M3`
M3.`setAA(A4 a)`
Sets the value of this matrix to the matrix conversion of the single precision axis and angle argument.
`M3`
M3.`setAsXRotation(float angle)`
Sets the value of this matrix to a rotation matrix about the x axis by the passed angle.
`M3`
M3.`setAsYRotation(float angle)`
Sets the value of this matrix to a rotation matrix about the y axis by the passed angle.
`M3`
M3.`setAsZRotation(float angle)`
Sets the value of this matrix to a rotation matrix about the z axis by the passed angle.
Methods in javajs.util with parameters of type M3
Modifier and Type
Method
Description
`void`
M3.`add(M3 m1)`
Sets the value of this matrix to sum of itself and matrix m1.
`void`
M4.`getRotationScale(M3 m1)`
Gets the upper 3x3 values of this matrix and places them into the matrix m1.
`void`
M3.`invertM(M3 m1)`
Sets the value of this matrix to the matrix inverse of the passed matrix m1.
`void`
M3.`mul(M3 m1)`
Sets the value of this matrix to the result of multiplying itself with matrix m1.
`void`
M3.`mul2(M3 m1, M3 m2)`
Sets the value of this matrix to the result of multiplying the two argument matrices together.
`static Quat`
Quat.`newM(M3 mat)`
`static M3`
M3.`newM3(M3 m1)`
Constructs a new matrix with the same values as the Matrix3f parameter.
`static M4`
M4.`newMV(M3 m1, T3 t)`
Constructs and initializes a Matrix4f from the rotation matrix and translation.
`final void`
A4.`setM(M3 m1)`
Sets the value of this axis-angle to the rotational component of the passed matrix.
`void`
M4.`setMV(M3 m1, T3 t)`
Initializes a Matrix4f from the rotation matrix and translation.
`void`
M4.`setRotationScale(M3 m1)`
Replaces the upper 3x3 matrix values of this matrix with the values in the matrix m1.
`void`
M3.`sub(M3 m1)`
Sets the value of this matrix to the matrix difference of itself and matrix m1 (this = this - m1).
`void`
M3.`transposeM(M3 m1)`
Sets the value of this matrix to the transpose of the argument matrix

## Uses of M3 in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as M3
Modifier and Type
Field
Description
`protected M3`
AtomSetCollectionReader.`matUnitCellOrientation`
`M3`
AtomSetCollectionReader.`primitiveToCrystal`
Methods in org.jmol.adapter.smarter with parameters of type M3
Modifier and Type
Method
Description
`V3[]`
XtalSymmetry.FileSymmetry.`rotateAxes(int iop, V3[] axes, P3 ptTemp, M3 mTemp)`

## Uses of M3 in org.jmol.api

Methods in org.jmol.api with parameters of type M3
Modifier and Type
Method
Description
`void`
JmolRendererInterface.`fillEllipsoid(P3 center, P3[] points, int x, int y, int z, int diameter, M3 mToEllipsoidal, double[] coef, M4 mDeriv, int selectedOctant, P3[] octantPoints)`
`void`
SymmetryInterface.`initializeOrientation(M3 matUnitCellOrientation)`
`boolean`
SymmetryInterface.`toFromPrimitive(boolean toPrimitive, char type, T3[] oabc, M3 primitiveToCrystal)`

## Uses of M3 in org.jmol.export

Methods in org.jmol.export that return M3
Modifier and Type
Method
Description
`protected M3`
___Exporter.`getRotationMatrix(P3 pt1, P3 pt2, float radius)`
`protected M3`
___Exporter.`getRotationMatrix(P3 pt1, P3 ptZ, float radius, P3 ptX, P3 ptY)`
Methods in org.jmol.export with parameters of type M3
Modifier and Type
Method
Description
`void`
Export3D.`fillEllipsoid(P3 center, P3[] points, int x, int y, int z, int diameter, M3 mToEllipsoidal, double[] coef, M4 mDeriv, int selectedOctant, P3[] octantPoints)`
`protected static MeshSurface`
___Exporter.`getConeMesh(P3 centerBase, M3 matRotateScale, short colix)`

## Uses of M3 in org.jmol.g3d

Methods in org.jmol.g3d with parameters of type M3
Modifier and Type
Method
Description
`void`
Graphics3D.`beginRendering(M3 rotationMatrix, boolean translucentMode, boolean isImageWrite, boolean renderLow)`
`void`
Graphics3D.`fillEllipsoid(P3 center, P3[] points, int x, int y, int z, int diameter, M3 mToEllipsoidal, double[] coef, M4 mDeriv, int selectedOctant, P3[] octantPoints)`
`void`
Graphics3D.`setRotationMatrix(M3 rotationMatrix)`

## Uses of M3 in org.jmol.geodesic

Methods in org.jmol.geodesic with parameters of type M3
Modifier and Type
Method
Description
`void`
EnvelopeCalculation.`reCalculate(BS bs, M3 m)`
problem prior to 12.3.18 was that dots once on the deodesic were not being moved.

## Uses of M3 in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as M3
Modifier and Type
Field
Description
`protected M3`
SurfaceReader.`eccentricityMatrix`
`protected M3`
SurfaceReader.`eccentricityMatrixInverse`

## Uses of M3 in org.jmol.modelset

Methods in org.jmol.modelset that return M3
Modifier and Type
Method
Description
`M3`
Model.`getUVWMatrix(boolean isUVW0)`
Methods in org.jmol.modelset with parameters of type M3
Modifier and Type
Method
Description
`void`
ModelSet.`moveAtoms(M4 m4, M3 mNew, M3 rotation, V3 translation, BS bs, P3 center, boolean isInternal, boolean translationOnly)`

## Uses of M3 in org.jmol.script

Methods in org.jmol.script with parameters of type M3
Modifier and Type
Method
Description
`boolean`
ScriptMathProcessor.`addXM3(M3 x)`
`static M4`
ScriptMathProcessor.`getMatrix4f(M3 matRotate, T3 vTranslate)`

## Uses of M3 in org.jmol.shapespecial

Methods in org.jmol.shapespecial with parameters of type M3
Modifier and Type
Method
Description
`static void`
Ellipsoid.`getEquationForQuadricWithCenter(float x, float y, float z, M3 mToElliptical, V3 vTemp, M3 mTemp, double[] coef, M4 mDeriv)`

## Uses of M3 in org.jmol.symmetry

Fields in org.jmol.symmetry declared as M3
Modifier and Type
Field
Description
`protected M3`
Symmetry.`spinFrameToCartXYZ`
Methods in org.jmol.symmetry with parameters of type M3
Modifier and Type
Method
Description
`T3[]`
UnitCell.`getConventionalUnitCell(String latticeType, M3 primitiveToCrystal)`
return a conventional lattice from a primitive
`void`
Symmetry.`initializeOrientation(M3 mat)`
`V3[]`
SymmetryOperation.`rotateAxes(V3[] vectors, UnitCell unitcell, P3 ptTemp, M3 mTemp)`
`boolean`
Symmetry.`toFromPrimitive(boolean toPrimitive, char type, T3[] oabc, M3 primitiveToCrystal)`

## Uses of M3 in org.jmol.util

Methods in org.jmol.util with parameters of type M3
Modifier and Type
Method
Description
`void`
GData.`beginRendering(M3 stereoRotationMatrix, boolean translucentMode, boolean isImageWrite, boolean renderLow)`
`int`
Vibration.`rotateModelSpinVectors(ModelSet ms, int modelIndex, M3 rot, boolean isdx)`
`void`
Vibration.`rotateSpin(M3 matInv, M3 rot, M3 dRot, Atom a)`
`ModulationSet`
ModulationSet.`setMod(String id, P3 r00, P3 r0, int d, Lst<Modulation> mods, M3 gammaE, Matrix[] factors, SymmetryInterface symmetry, int nOps, int iop, Vibration v, boolean isCommensurate)`
A collection of modulations for a specific atom.

## Uses of M3 in org.jmol.viewer

Fields in org.jmol.viewer declared as M3
Modifier and Type
Field
Description
`final M3`
TransformManager.`matrixRotate`
`protected final M3`
TransformManager.`matrixStereo`
`protected final M3`
TransformManager.`matrixTemp3`
`protected final M3`
TransformManager.`matrixTest`
Methods in org.jmol.viewer with parameters of type M3
Modifier and Type
Method
Description
`void`
TransformManager.`getRotation(M3 m)`
`void`
Viewer.`moveAtoms(M4 m4, M3 mNew, M3 rotation, V3 translation, P3 center, boolean isInternal, BS bsAtoms, boolean translationOnly, boolean useModelKit)`
`void`
Viewer.`moveTo(JmolScriptEvaluator eval, float floatSecondsTotal, P3 center, V3 rotAxis, float degrees, M3 rotationMatrix, float zoom, float xTrans, float yTrans, float rotationRadius, P3 navCenter, float xNav, float yNav, float navDepth, float cameraDepth, float cameraX, float cameraY)`
`boolean`
Viewer.`rotateAboutPointsInternal(JmolScriptEvaluator eval, P3 point1, P3 point2, float degreesPerSecond, float endDegrees, boolean isSpin, BS bsSelected, V3 translation, Lst<P3> finalPoints, float[] dihedralList, M3 vectorMatrix, M4 m4, boolean useModelKit, P3[][] centerAndPoints)`
`void`
Viewer.`rotateModelSpinVectors(int modelIndex, M3 rot)`
`void`
TransformManager.`setAll(P3 center, M3 m, P3 navCenter, float zoom, float xTrans, float yTrans, float rotationRadius, float pixelScale, float navDepth, float xNav, float yNav, float cameraDepth, float cameraX, float cameraY)`
`void`
TransformManager.`setRotation(M3 m)`